using System;
using System.IO;
using System.Linq;
using System.Text;
using Xunit;
using Hochbaustatistik.Business;
using Hochbaustatistik.Database;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Diagnostics;
using Hochbaustatistik.Utilities;

namespace Hochbaustatistik.Testing.Utilities
{
    public class FileOperationsTests
    {
        List<VorgangItnrw> hochbauListe = new List<VorgangItnrw>();
        readonly string filePath = @"..\..\..\TestData\Testdata.csv";

        [Fact]
        public void GenerateHochbauVorgangFromCSVTest()
        {
            hochbauListe = FileOperations.GenerateHochbauVorgangFromCSV(filePath);
            Assert.True(hochbauListe.Count != 0);
        }
    }
}
